<template>
    <div>
        <nav aria-label="Page navigation example">
            <ul class="pagination">
                <li 
                    class="page-item"
                    :class="pagination.current_page === 1 ? 'disabled' : ''"
                    @click="nextPage(--pagination.current_page)"
                >
                    <span class="page-link">Previous</span>
                </li>
                <li 
                    class="page-item"
                    :class="page === pagination.current_page ? 'active' : ''"
                    @click="nextPage(page)"
                    v-for="(page, index) in pagination.last_page"
                    :key="index"
                >
                    <a class="page-link">
                        {{ page }}
                    </a>
                </li>
                <li 
                    class="page-item"
                    :class="pagination.last_page === pagination.current_page ? 'disabled' : ''"
                    @click="nextPage(++pagination.current_page)"
                >
                    <span class="page-link">next</span>
                </li>
            </ul>
        </nav>
    </div>
</template>

<script>
export default {
    props: {
        pagination: {
            type: Object,
            require: true,
        },
    },
    mounted() {
      console.log(this.pagination)  
    },
    methods: {
        nextPage(page) {
            this.$emit('next-page', page);
        }
    }
}
</script>